export type KeySerializationMethod<LI> = (args: {
    forInput: LI;
}) => string;
export declare const noOp: <LO, CV>(value: LO) => CV;
export declare const defaultKeySerializationMethod: KeySerializationMethod<any>;
export declare const defaultValueSerializationMethod: <LO, CV>(value: LO) => CV;
export declare const defaultValueDeserializationMethod: <LO, CV>(value: LO) => CV;
export declare const defaultShouldBypassGetMethod: () => boolean;
export declare const defaultShouldBypassSetMethod: () => boolean;
